> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add resources to a shareable link

> Adds multiple folders, images, videos, and files to a shareable link in a single batch operation



## OpenAPI

````yaml /swagger/management-api.json post /api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}/resources
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/dam/shareable-links/{link_id}/resources:
    post:
      tags:
        - DAM
      summary: Add resources to a shareable link
      description: >-
        Adds multiple folders, images, videos, and files to a shareable link in
        a single batch operation
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Shareable link ID
          in: path
          name: link_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/internal_pkg_webserver_v1.AddResourcesToShareableLinkRequest
        description: Resources to add
        required: true
      responses:
        '200':
          description: Resources added successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseShareableLink
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '404':
          description: Shareable link not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.AddResourcesToShareableLinkRequest:
      properties:
        file_ids:
          items:
            type: string
          type: array
        folder_ids:
          items:
            type: string
          type: array
        image_ids:
          items:
            type: string
          type: array
        video_ids:
          items:
            type: string
          type: array
      type: object
    internal_pkg_webserver_v1.OkResponseShareableLink:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ShareableLink
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ShareableLink:
      properties:
        created_at:
          type: string
        description:
          type: string
        expires_at:
          type: string
        file_ids:
          items:
            type: string
          type: array
        folder_ids:
          items:
            type: string
          type: array
        id:
          type: string
        image_ids:
          items:
            type: string
          type: array
        token:
          type: string
        updated_at:
          type: string
        video_ids:
          items:
            type: string
          type: array
      type: object

````